### Function

# GdkPixbuf PixbufModuleStopLoadFunc

#### Declaration

    gboolean
    (* GdkPixbufModuleStopLoadFunc) (
      gpointer context,
      GError** error
    )

#### Description [src]

Finalizes the image loading state.

This function is called on success and error states.

#### Parameters

`context`

  Type: `gpointer`

  The state object created by `GdkPixbufModuleBeginLoadFunc`.

  The argument can be `NULL`.
  The called function takes ownership of the data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the loading operation was successful.